@import "/data/css/designer_custom.css";

#error .error-block {
    text-align: center;
}

#error .error-title {
    font-size: 150px;
}

#error .lead {
    font-size: 60px;
}

#error .form-control {
    margin: 0;
}

.loading {
    display: none;
    position: absolute;
    width: 100%;
    top: 0;
    left: 0;
    z-index: 11050;
    background-color: rgba(51, 51, 51, 0.2) !important;
    height: 100%;
}

#global.loading {
    position: fixed;
}

.loading .spinner {
    position: absolute;
    margin: auto;
    display: inline-block;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
    width: 160px;
    height: 24px;
    background-image: url("/data/images/loading.gif") !important;
    background-repeat: no-repeat;
}

#locations {
    display: none;
}

.contact .form-group.has-error input,
.contact .form-group.has-error textarea,
.contact .form-subscribe .email-container.has-error input {
    border-bottom: 1px solid #a94442;
}

.contact .form-group.has-error label.control-label {
    color: #A94442;
}

.contact .form-group.has-error input:-ms-input-placeholder {
    color: #A94442;
}

.form-control::-webkit-input-placeholder { /* WebKit, Blink, Edge */
    color: transparent;
}

.form-control:-moz-placeholder { /* Mozilla Firefox 4 to 18 */
    color: transparent;
}

.form-control::-moz-placeholder { /* Mozilla Firefox 19+ */
    color: transparent;
}

.form-control:-ms-input-placeholder { /* Internet Explorer 10-11 */
    color: transparent;
}

.form-control::-ms-input-placeholder { /* Microsoft Edge */
    color: #000000;
}

.form-control:focus::-ms-input-placeholder { /* Microsoft Edge */
    color: inherit;
}

.contact .form-group > input:not([value=""]) + label,
.contact .form-group > input:focus + label,
.contact .form-group > textarea:valid + label,
.contact .form-group > textarea:focus + label {
    opacity: 0;
    visibility: hidden;
}

.contact .ignore .form-control {
}

.contact .required .control-label:after {
    content: " *";
}

.contact #results {
    display: none;
    border: 1px solid #cccccc;
    text-align: center;
}

.contact #results .text {
    margin: 10px;
}

.contact #results.show {
    display: block;
    padding: 10px;
}

.contact #results {
    margin-bottom: 30px;
}

.contact #results.error {
    border-color: #a94442 !important;
    color: #a94442;
}

.contact #results.success {
    border-color: #DD7902 !important;
    color: #DD7902;
}

.contact #form {
    position: relative;
}

#form {
    overflow: hidden;
}

.re-captcha > div {
    width: auto;
    display: inline-block;
    padding: 0;
    height: auto;
    background-color: transparent;
}

.re-captcha.has-error > div {
    border: 1px solid #a94442 !important;
    border-radius: 3px;
}

.g-recaptcha > div {
    width: 302px !important;
    height: 76px !important;
}

.g_map {
    height: 400px;
    position: relative;
    width: 100%;
}

.map {
    position: relative;
    overflow: hidden;
    width: 100%;
}

.format-standard-image section {
    padding: 10px 0;
}

.copyright a {
    color: #687188 !important;
    text-decoration: none !important;
}

.contact-section form > div {
    float: none;
}

.header-style-2 .cart-search-contact > div, .header-style-2 .cart-search-contact > div {
    float: right;
}

.header-style-2 .cart-search-contact > div button:first-child {
    padding-right: 15px;
}

.format-standard-image ul {
    margin-left: 15px;
}

/*.slide-title h2,
.slide-text p{
	text-shadow: 2px 2px 8px #000;
}*/

.theme-btn {
    text-transform: none;
}

.services-grid .grid:hover {
    cursor: pointer;
}

.navbar-brand {
    padding: 0;
}

.navbar-brand img {
    width: 100%;
    height: 100%;
}

@media screen and (-webkit-min-device-pixel-ratio: 0) {
    /*your rules for chrome*/
    .navbar-brand img {
        width: 340px !important;
    }
}

@media only screen and (max-width: 767px) {
    .navbar-brand img {
        width: 80%;
    }
}

.navbar-brand img {
    width: unset !important;
}

.header-style-1 #navbar, .header-style-2 #navbar {
    text-align: right;
}

.page-title h2 {
    text-transform: initial;
    margin-bottom: 0;
}

.page-title .container {
    padding-top: 0;
}

.page-title {
    height: 240px;
}

.navbar-default .navbar-nav > .active > a, .navbar-default .navbar-nav > .active > a:focus, .navbar-default .navbar-nav > .active > a:hover {
    background: unset;
    /*border-bottom: 2px solid var(--color-primary) !important;*/
    color: unset;
}

.services-section-s2 h4 {
    margin-bottom: 0;
    margin-top: 15px;
    text-transform: initial;
}



.navbar-default .navbar-nav > .active > a:before,
.navbar-default .navbar-nav > li:hover a:before {
    content: "";
    border-bottom: 2px solid var(--color-primary);
    width: calc(100% - 40px);
    position: absolute;
    bottom: 28px;
    border-radius: 20px;
}

.our-skill-section .details{
	font-weight: 900;
	text-shadow: #000 1px 1px 1px;
	font-size: 20px;
}

.our-skill-section{
	content:"";
	position: relative;
}

.our-skill-section:before{
	content:"";
	position: absolute;
	top: 0px;
	right: 0px;
	bottom: 0px;
	left: 0px;
	background: rgba(0,0,0,0.3);
}

.dfc {
    display: flex;
    flex-direction: column;
}

.f-1 {
    flex: 1;
}

.h-100 {
    height: 100%;
}

.dfw {
    display: flex;
    flex-wrap: wrap;
}

.blog-pg-section .blog-content .post {
    margin-bottom: 0;
}

.mw-mc {
    max-width: max-content;
}

.mb-5 {
    margin-bottom: 5rem
}


.tt-custom-pagination {
    display: flex;
    justify-content: center;
    gap: 10px;
    list-style: none;
}

.tt-custom-pagination li {

    border: 1px solid var(--color-secondary);
    width: 30px;
    height: 30px;
    border-radius: 500px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.tt-custom-pagination li.active {
    background: var(--color-secondary);
}

.tt-custom-pagination li a {
    text-decoration: none;
}

.tt-custom-pagination li.active a {
    color: white;
}
